import Dexie from "dexie";
export interface FeedProps {
    mid: string;
    uid: string;
    type: number;
    sequence: number;
    authType: number;
    status: number;
    createTime: number;
    contentType: number;
}
declare class FeedsModel {
    static authorize: boolean;
    private db?;
    private userId?;
    private store?;
    Event: {
        FeedsChange: string;
        FriendsUpdated: string;
    };
    init(db: Dexie): void;
    getMomentsUtilTime(timestamp: number): Promise<FeedProps[]>;
    insertBulkIds(list: FeedProps[]): Promise<never[] | undefined>;
    deleteFeeds(mid: string): Promise<void>;
    getFeedsCount(): Promise<number | undefined>;
    getFeedsLessCount(createTime: number): Promise<number>;
    isDeleted(item: FeedProps): boolean;
    userVisibleFeed(item: FeedProps): boolean;
    loadFeedsIds(startTime: number, endTime: number, filter?: (x: FeedProps) => boolean): Promise<FeedProps[]>;
    setFeedsDeleteTag(ids: string[]): Promise<void>;
    getFeedsCountsByMomentIds(momentIds: string[], recentVerge: number): Promise<{
        counts: number;
        maxCreateTime: number;
        recentCounts: number;
        minCreateTime?: undefined;
    } | {
        counts: number;
        recentCounts: number;
        minCreateTime: number;
        maxCreateTime: number;
    }>;
    buildFakeFeed(ob: {
        [key in keyof FeedProps]?: FeedProps[key];
    }): any;
    publish(list?: never[]): void;
    itemTransform({ mid: id, uid, sequence, auth_type, status, type, create_time, content_type, }: any): FeedProps;
}
export declare const feedsModel: FeedsModel;
export default feedsModel;
